Texa DeskDevelopers

Texa Desk Application API · Integrations

Update an Integration Hook

PATCH/api/v1/accounts/{account_id}/integrations/hooks/{hook_id}

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

hook_idintegerrequired

The numeric ID of the integration hook

Body application/json

statusinteger

The status of the integration (0 for inactive, 1 for active)

settingsobject

The settings required by the integration

Responses

200

Success

idstring

The ID of the integration hook

app_idstring

The ID of the integration app

inbox_idstring

Inbox ID if its an Inbox integration

account_idstring

Account ID of the integration

statusboolean

Whether the integration hook is enabled for the account

hook_typeboolean

Whether its an account or inbox integration hook

settingsobject

The associated settings for the integration

401

Unauthorized

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring